const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {

    let options = {
      "headers": {
        "Content-Type": "application\/json",
        "Authorization": "Bearer " + Mesa.credential.get('airtable'),
      }
    }

    let base = context.steps.transform.base;
    let table = context.steps.transform.table;
    let url = 'https://api.airtable.com/v0/' + base + '/' + encodeURIComponent(table) + '/' + context.steps.custom.id;

    let data = {
      "fields": {
        "Image": [
          {
            "url": context.steps.shopify_1.src,
          }
        ]
      },
    }
    let result = Mesa.request.patch(url, data, options);
    Mesa.log.info('result', result);

    return result;
  }
}
